# JSDoc: Class: NoteContent

# Class: NoteContent

## NoteContent(row)

This represents a Note which is a central object in the Trilium Notes project.

## Constructor

#### new NoteContent(row)

##### Parameters:

Name | Type | Description
--- | --- | ---
`row` |  | object containing database row from "note_contents" table

##### Properties:

Name | Type | Description
--- | --- | ---
`noteContentId` | string | primary key
`noteId` | string | reference to owning note
`isProtected` | boolean | true if note content is protected
`content` | blob | note content - e.g. HTML text for text notes, file payload for files
`dateCreated` | string |
`dateModified` | string |

Source:
  - entities/note_content.js, line 20

### Extends

- Entity

### Methods

#### (async) getNote() → {Promise.<Note>}

Source:
  - entities/note_content.js, line 63

##### Returns:

Type
  Promise.<Note>